// 测试用的模拟队列数据
const mockQueueData = [
    { userName: "Alice Chen", waitTime: "15分钟" },
    { userName: "Bob Wang", waitTime: "8分钟" },
    { userName: "Charlie Liu", waitTime: "3分钟" }
];

export async function fetchQueueData() {
    try {
        const response = await fetch('/vcast/queue_info');
        const data = await response.json();
        return data;
    } catch (error) {
        console.error('Error fetching queue data:', error);
        return mockQueueData;
    }
}